Subject: bug#61374: 30.0.50; Wrong mark-sexp with tree-sitter

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Feb 2023 10:54:06 +0200

> From: Theodor Thornhill <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 09 Feb 2023 09:42:43 +0100
> 
> I think to remember why I decided on the current settings in
> 'treesit-sexp-type-regexp' - compound_statement is very frequently used
> in the c/c++ grammars, and iirc that makes sexp-moving almost always
> move to end of the next or current compound_statement.

Can you show some examples that illustrate these issues?  I'm not sure
I follow your line of reasoning, and thus cannot understand the
relevant considerations and decisions, and their expected effects on
behavior.

Thanks.